View Single Post
  #2   (View Single Post)  
Old 21st August 2016
darktrym's Avatar
darktrym darktrym is offline
standard-bearer
 
Join Date: Feb 2011
Location: Düsseldorf
Posts: 104
Default

Ok, i think i fixed the most problems so now i can build scintilla in version 3.6.6. I updated the scite version so i can compile but during the build process i get in the last step an error:

Quote:
ld: warning: libfreetype.so.17, needed by /usr/pkgsrc/editors/scite/work/.buildlink/lib/libgtk-x11-2.0.so, may conflict with libfreetype.so.18
/usr/pkg/lib/libfontconfig.so.1: warning: warning: reference to compatibility initstate(); include <stdlib.h> for correct reference
/usr/pkgsrc/editors/work/.buildlink/lib/libpangoft2-1.0.so: undefined reference to 'hb_buffer_set_cluster_level'
/usr/pkgsrc/editors/work/.buildlink/lib/libgtk-x11-2.0.so: undefined reference to 'g_type_check_instance_is_fundamentally_a'
makefile:118: recipe for taget '../bin/SciTE' failed
gmake: *** [../bin/SciTE]] Error 1
*** Error code 2

Stop.
make[1]: stopped in /usr/pkgsrc/editors/scite
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/editors/scite
Any ideas?
Reply With Quote